Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class SpliceGate

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
              cascading.flow.stream.SpliceGate

All Implemented Interfaces:
  Collapsing, ElementDuct

Direct Known Subclasses:
  HadoopGroupGate, MemorySpliceGate

    public abstract class SpliceGate

extends Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
implements ElementDuct, Collapsing

Nested Class Summary
`static class` | `SpliceGate.Role`

Field Summary
`protected FlowProcess` | `flowProcess`
`protected Grouping<TupleEntry,TupleEntryIterator>` | `grouping`
`protected List<Scope>` | `incomingScopes`
`protected TupleBuilder[]` | `keyBuilder`
`protected TupleEntry` | `keyEntry`
`protected Fields[]` | `keyFields`
`protected Duct[]` | `orderedPrevious`
`protected List<Scope>` | `outgoingScopes`
`protected SpliceGate.Role` | `role`
`protected TupleBuilder[]` | `sortBuilder`
`protected Fields[]` | `sortFields`
`protected Splice` | `splice`
`protected TupleEntryChainIterator` | `tupleEntryIterator`
`protected TupleBuilder[]` | `valuesBuilder`
`protected Fields[]` | `valuesFields`

Fields inherited from class cascading.flow.stream.Gate
`allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`SpliceGate(FlowProcess flowProcess, Splice splice)`
`SpliceGate(FlowProcess flowProcess, Splice splice, SpliceGate.Role role)`

Method Summary
`void` | `addIncomingScope(Scope incomingScope)`
`void` | `addOutgoingScope(Scope outgoingScope)`
`void` | `cleanup()`
`protected TupleBuilder` | `createDefaultNarrowBuilder(Fields incomingFields, Fields narrowFields)`
`protected TupleBuilder` | `createNarrowBuilder(Fields incomingFields, Fields narrowFields)`
`protected TupleBuilder` | `createNulledBuilder(Fields incomingFields, Fields keyField)`
`boolean` | `equals(Object object)`
`Set<String>` | `getBranchNames()`
`FlowElement` | `getFlowElement()`
`List<Scope>` | `getIncomingScopes()`
`List<Scope>` | `getOutgoingScopes()`
`protected void` | `handleException(Throwable exception, TupleEntry tupleEntry)`
`protected void` | `handleReThrowableException(String message, Throwable throwable)`
`int` | `hashCode()`
`boolean` | `hasTrapHandler()`
`void` | `initialize()` Called immediately after bind
`protected void` | `makePosMap(Map<Duct,Integer> posMap)`
`protected void` | `orderDucts(StreamGraph streamGraph)`
`void` | `setBranchNames(Set<String> branchNames)`
`void` | `setTrapHandler(TrapHandler trapHandler)`
`String` | `toString()`

Methods inherited from class cascading.flow.stream.Gate
`bind, getAllPreviousFor`

Methods inherited from class cascading.flow.stream.Duct
`complete, getNext, getNextFor, prepare, receive, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### orderedPrevious

    protected Duct[] orderedPrevious

### flowProcess

    protected final FlowProcess flowProcess

### role

    protected SpliceGate.Role role

### splice

    protected final Splice splice

### incomingScopes

    protected final List<Scope> incomingScopes

### outgoingScopes

    protected final List<Scope> outgoingScopes

### keyFields

    protected Fields[] keyFields

### sortFields

    protected Fields[] sortFields

### valuesFields

    protected Fields[] valuesFields

### keyBuilder

    protected TupleBuilder[] keyBuilder

### valuesBuilder

    protected TupleBuilder[] valuesBuilder

### sortBuilder

    protected TupleBuilder[] sortBuilder

### grouping

    protected Grouping<TupleEntry,TupleEntryIterator> grouping

### tupleEntryIterator

    protected TupleEntryChainIterator tupleEntryIterator

### keyEntry

    protected TupleEntry keyEntry

Constructor Detail

### SpliceGate

    public SpliceGate(FlowProcess flowProcess,
                      Splice splice)

### SpliceGate

    public SpliceGate(FlowProcess flowProcess,
                      Splice splice,
                      SpliceGate.Role role)

Method Detail

### setBranchNames

    public void setBranchNames(Set<String> branchNames)

  Specified by:
    `setBranchNames` in interface `ElementDuct`

### getBranchNames

    public Set<String> getBranchNames()

  Specified by:
    `getBranchNames` in interface `ElementDuct`

### setTrapHandler

    public void setTrapHandler(TrapHandler trapHandler)

  Specified by:
    `setTrapHandler` in interface `ElementDuct`

### hasTrapHandler

    public boolean hasTrapHandler()

  Specified by:
    `hasTrapHandler` in interface `ElementDuct`

### handleReThrowableException

    protected void handleReThrowableException(String message,
                                              Throwable throwable)

### handleException

    protected void handleException(Throwable exception,
                                   TupleEntry tupleEntry)

### createNarrowBuilder

    protected TupleBuilder createNarrowBuilder(Fields incomingFields,
                                               Fields narrowFields)

### createDefaultNarrowBuilder

    protected TupleBuilder createDefaultNarrowBuilder(Fields incomingFields,
                                                      Fields narrowFields)

### createNulledBuilder

    protected TupleBuilder createNulledBuilder(Fields incomingFields,
                                               Fields keyField)

### initialize

    public void initialize()

  Description copied from class: `Duct`
  Called immediately after bind

  Overrides:
    `initialize` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### getFlowElement

    public FlowElement getFlowElement()

  Specified by:
    `getFlowElement` in interface `ElementDuct`

### getOutgoingScopes

    public List<Scope> getOutgoingScopes()

  Specified by:
    `getOutgoingScopes` in interface `ElementDuct`

### getIncomingScopes

    public List<Scope> getIncomingScopes()

  Specified by:
    `getIncomingScopes` in interface `ElementDuct`

### addIncomingScope

    public void addIncomingScope(Scope incomingScope)

  Specified by:
    `addIncomingScope` in interface `ElementDuct`

### addOutgoingScope

    public void addOutgoingScope(Scope outgoingScope)

  Specified by:
    `addOutgoingScope` in interface `ElementDuct`

### cleanup

    public void cleanup()

  Overrides:
    `cleanup` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

### orderDucts

    protected void orderDucts(StreamGraph streamGraph)

### makePosMap

    protected void makePosMap(Map<Duct,Integer> posMap)

### equals

    public final boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.